<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: index.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: index.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>// Déclaration des variables

const apiTeddies = 'http://localhost:3000/api/teddies'
const teddyCard = document.getElementById('container-teddies')

/**
 * Fonction qui créé une "carte produit" pour chaque produits renvoyé par l'API
 * Construction des éléments du DOM pour l'affichage des vignettes produits (1ere boucle for)
 * Affichage des couleurs disponibles pour chaque ourson dans la vignette (2eme boucle for)
 * @param {object} value Liste des produits récupérée via l'API
 */

const createCards = (value) =>{
//Création des vignettes
    for (let i = 0; i &lt; value.length; i++) {
        teddyCard.innerHTML += `&lt;a href="./product.html?id=${value[i]._id}" id='teddy-${i}' class='d-flex row  justify-content-center position-relative'>
                                &lt;img src="../images/teddy_${i + 1}.jpg" alt="Photo de l'ours ${value[i].name}" class="round" id="img-teddy-${i}">
                                &lt;div class="info-container col-12 text-center mx-0 mt-0 justify-content-center">
                                    &lt;h2 class="position-absolute col-12">${value[i].name}&lt;/h2>
                                    &lt;h3>${value[i].price / 100},00€&lt;/h3>
                                    &lt;div id='teddy-color-${i}' class="col-12 justify-content-center d-flex">&lt;/div>
                                &lt;/div>
                            &lt;/a>`
        
//Création des pastilles de couleur dans les vignettes
        for (let j = 0; j &lt; value[i].colors.length; j++) {
            const colorDiv = document.createElement('div')
            const teddy = document.getElementById(`teddy-color-${i}`)
            const color = `${value[i].colors[j]}`
// Conditionnement si la couleur n'est pas une couleur reconnue comme "existante"
            if (color.indexOf("Pale ") >= 0) {
                colorDiv.classList.add('round-color', 'my-1', 'mx-1')
                colorDiv.style.backgroundColor = "#cfa567"
                teddy.appendChild(colorDiv)
            } else if (color.indexOf("Dark ") >= 0) {
                colorDiv.classList.add('round-color', 'my-1', 'mx-1')
                colorDiv.style.backgroundColor = "#4d3d27"
                teddy.appendChild(colorDiv)
            } else {
                colorDiv.classList.add('round-color', 'my-1', 'mx-1')
                colorDiv.style.backgroundColor = color.toLowerCase()
                teddy.appendChild(colorDiv)
            }
        }
    }
}

/**
 * Fonction qui récupère les données de l'API et appelle la fonction createCards()
 * @param {string} apiUrl Url de l'API (Ici l'API Teddies)
 * @returns void
 */

const requestFetch = (apiUrl) => {
    fetch(apiUrl)
        .then((res) => {return res.json()})
        .then((value) => createCards(value))
        .catch((err) => console.log(err))
}
requestFetch(apiTeddies)</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Projet 5 - Orinoco</a></h2><h3>Global</h3><ul><li><a href="global.html#addCart">addCart</a></li><li><a href="global.html#createCards">createCards</a></li><li><a href="global.html#deleteItems">deleteItems</a></li><li><a href="global.html#requestFetch">requestFetch</a></li><li><a href="global.html#sendFormRequest">sendFormRequest</a></li><li><a href="global.html#showConfirm">showConfirm</a></li><li><a href="global.html#showProduct">showProduct</a></li><li><a href="global.html#showShopCart">showShopCart</a></li><li><a href="global.html#testFormConform">testFormConform</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Wed Sep 15 2021 06:12:13 GMT+0200 (heure normale d’Afrique méridionale)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
